import java.util.*;
import java.awt.*;
import java.awt.Image;
import javax.swing.ImageIcon;

public class BotonPassView {
   private BotonPass b;
   private Image img;
  
   public BotonPassView(BotonPass boton){
      b=boton;
      Vector2D pos = b.getPosition();
      ImageIcon i = new ImageIcon("src/Pass.png");
      img = i.getImage();
   }
   public void draw(Graphics2D g) {
      Vector2D pos = b.getPosition();
      g.drawImage(img, pos.getX(), pos.getY(), null);
      g.setColor(Color.BLUE);
   }
   public void updateImage( int act){
      switch(act){
        case 0:{
          ImageIcon i = new ImageIcon("src/Pass.png");
          img = i.getImage();
          break;
        }
        case 1:{
          ImageIcon i = new ImageIcon("src/Pass1.png");
          img = i.getImage();
          break;
        }
        case 2:{
          ImageIcon i = new ImageIcon("src/Pass2.png");
          img = i.getImage();
          break;
        }
        case 3:{
          ImageIcon i = new ImageIcon("src/Pass3.png");
          img = i.getImage();
          break;
        }
        case 4:{
          ImageIcon i = new ImageIcon("src/PisoMovimientoFinal.png");
          img = i.getImage();
          break;
        }
        case 5:{
          ImageIcon i = new ImageIcon("src/PisoAtaque.png");
          img = i.getImage();
          break;
        }
        case 6:{
          ImageIcon i = new ImageIcon("src/PisoAtaque2.png");
          img = i.getImage();
          break;
        }
        case 7:{
          ImageIcon i = new ImageIcon("src/PisoProhibido.png");
          img = i.getImage();
          break;
        }
      }
    }
}